# Custom transition with ‘overlay’
transitionWithBackground = ->
	layerA:
		hide:
			options:
				curve: Spring
				time: 0.5
				delay: 0.5
			width: Screen.width / 2
			height: Screen.height / 2
		show:
			size: Screen.size
	layerB:
		show:
			options:
				curve: Spring
				time: 0.5
			width: Screen.width / 2
			height: Screen.height / 2
			x: Screen.width / 2
		hide:
			size: Screen.size
			x: 0
	overlay:
		show:
			options:
				curve: Spring(damping: 0.5)
				time: 0.5
				delay: 1
			opacity: 1
			width: Screen.width / 2
			height: Screen.height / 2
			x: Screen.width / 4
			y: Screen.height / 4
		hide:
			opacity: 0
			size: Screen.size
			x: 0
			y: 0


# Create FlowComponent 
flow = new FlowComponent
	backgroundColor: "#fff"
flow.showNext screen_1

# Tap on «screen_1» -> Go to «screen_2»
screen_1.onTap ->
	flow.transition screen_2, transitionWithBackground

# Tap on «screen_2» -> Return
screen_2.onTap ->
	flow.showPrevious()
